IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network240.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
240.232.0.0- Broadcast address
240.239.255.255- First usable
240.232.0.1- Last usable
240.239.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F0E80000· Integer4041736192to4042260479 - Reverse DNS zones
232.240.in-addr.arpa233.240.in-addr.arpa234.240.in-addr.arpa235.240.in-addr.arpa236.240.in-addr.arpa237.240.in-addr.arpa238.240.in-addr.arpa239.240.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110000.11101000.00000000.00000000 | 240.232.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 11110000.11101000.00000000.00000000 | 240.232.0.0 |
| Broadcast | 11110000.11101111.11111111.11111111 | 240.239.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
240.232.0.0/13 makes 256 subnets of /21.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 240.232.0.0/21 | 240.232.0.1 to 240.232.7.254 | 240.232.7.255 | 2,046 |
| 2 | 240.232.8.0/21 | 240.232.8.1 to 240.232.15.254 | 240.232.15.255 | 2,046 |
| 3 | 240.232.16.0/21 | 240.232.16.1 to 240.232.23.254 | 240.232.23.255 | 2,046 |
| 4 | 240.232.24.0/21 | 240.232.24.1 to 240.232.31.254 | 240.232.31.255 | 2,046 |
| 5 | 240.232.32.0/21 | 240.232.32.1 to 240.232.39.254 | 240.232.39.255 | 2,046 |
| 6 | 240.232.40.0/21 | 240.232.40.1 to 240.232.47.254 | 240.232.47.255 | 2,046 |
| 7 | 240.232.48.0/21 | 240.232.48.1 to 240.232.55.254 | 240.232.55.255 | 2,046 |
| 8 | 240.232.56.0/21 | 240.232.56.1 to 240.232.63.254 | 240.232.63.255 | 2,046 |
| 9 | 240.232.64.0/21 | 240.232.64.1 to 240.232.71.254 | 240.232.71.255 | 2,046 |
| 10 | 240.232.72.0/21 | 240.232.72.1 to 240.232.79.254 | 240.232.79.255 | 2,046 |
| 11 | 240.232.80.0/21 | 240.232.80.1 to 240.232.87.254 | 240.232.87.255 | 2,046 |
| 12 | 240.232.88.0/21 | 240.232.88.1 to 240.232.95.254 | 240.232.95.255 | 2,046 |
| 13 | 240.232.96.0/21 | 240.232.96.1 to 240.232.103.254 | 240.232.103.255 | 2,046 |
| 14 | 240.232.104.0/21 | 240.232.104.1 to 240.232.111.254 | 240.232.111.255 | 2,046 |
| 15 | 240.232.112.0/21 | 240.232.112.1 to 240.232.119.254 | 240.232.119.255 | 2,046 |
| 16 | 240.232.120.0/21 | 240.232.120.1 to 240.232.127.254 | 240.232.127.255 | 2,046 |
| 17 | 240.232.128.0/21 | 240.232.128.1 to 240.232.135.254 | 240.232.135.255 | 2,046 |
| 18 | 240.232.136.0/21 | 240.232.136.1 to 240.232.143.254 | 240.232.143.255 | 2,046 |
| 19 | 240.232.144.0/21 | 240.232.144.1 to 240.232.151.254 | 240.232.151.255 | 2,046 |
| 20 | 240.232.152.0/21 | 240.232.152.1 to 240.232.159.254 | 240.232.159.255 | 2,046 |
| 21 | 240.232.160.0/21 | 240.232.160.1 to 240.232.167.254 | 240.232.167.255 | 2,046 |
| 22 | 240.232.168.0/21 | 240.232.168.1 to 240.232.175.254 | 240.232.175.255 | 2,046 |
| 23 | 240.232.176.0/21 | 240.232.176.1 to 240.232.183.254 | 240.232.183.255 | 2,046 |
| 24 | 240.232.184.0/21 | 240.232.184.1 to 240.232.191.254 | 240.232.191.255 | 2,046 |
| 25 | 240.232.192.0/21 | 240.232.192.1 to 240.232.199.254 | 240.232.199.255 | 2,046 |
| 26 | 240.232.200.0/21 | 240.232.200.1 to 240.232.207.254 | 240.232.207.255 | 2,046 |
| 27 | 240.232.208.0/21 | 240.232.208.1 to 240.232.215.254 | 240.232.215.255 | 2,046 |
| 28 | 240.232.216.0/21 | 240.232.216.1 to 240.232.223.254 | 240.232.223.255 | 2,046 |
| 29 | 240.232.224.0/21 | 240.232.224.1 to 240.232.231.254 | 240.232.231.255 | 2,046 |
| 30 | 240.232.232.0/21 | 240.232.232.1 to 240.232.239.254 | 240.232.239.255 | 2,046 |
| 31 | 240.232.240.0/21 | 240.232.240.1 to 240.232.247.254 | 240.232.247.255 | 2,046 |
| 32 | 240.232.248.0/21 | 240.232.248.1 to 240.232.255.254 | 240.232.255.255 | 2,046 |
| 33 | 240.233.0.0/21 | 240.233.0.1 to 240.233.7.254 | 240.233.7.255 | 2,046 |
| 34 | 240.233.8.0/21 | 240.233.8.1 to 240.233.15.254 | 240.233.15.255 | 2,046 |
| 35 | 240.233.16.0/21 | 240.233.16.1 to 240.233.23.254 | 240.233.23.255 | 2,046 |
| 36 | 240.233.24.0/21 | 240.233.24.1 to 240.233.31.254 | 240.233.31.255 | 2,046 |
| 37 | 240.233.32.0/21 | 240.233.32.1 to 240.233.39.254 | 240.233.39.255 | 2,046 |
| 38 | 240.233.40.0/21 | 240.233.40.1 to 240.233.47.254 | 240.233.47.255 | 2,046 |
| 39 | 240.233.48.0/21 | 240.233.48.1 to 240.233.55.254 | 240.233.55.255 | 2,046 |
| 40 | 240.233.56.0/21 | 240.233.56.1 to 240.233.63.254 | 240.233.63.255 | 2,046 |
| 41 | 240.233.64.0/21 | 240.233.64.1 to 240.233.71.254 | 240.233.71.255 | 2,046 |
| 42 | 240.233.72.0/21 | 240.233.72.1 to 240.233.79.254 | 240.233.79.255 | 2,046 |
| 43 | 240.233.80.0/21 | 240.233.80.1 to 240.233.87.254 | 240.233.87.255 | 2,046 |
| 44 | 240.233.88.0/21 | 240.233.88.1 to 240.233.95.254 | 240.233.95.255 | 2,046 |
| 45 | 240.233.96.0/21 | 240.233.96.1 to 240.233.103.254 | 240.233.103.255 | 2,046 |
| 46 | 240.233.104.0/21 | 240.233.104.1 to 240.233.111.254 | 240.233.111.255 | 2,046 |
| 47 | 240.233.112.0/21 | 240.233.112.1 to 240.233.119.254 | 240.233.119.255 | 2,046 |
| 48 | 240.233.120.0/21 | 240.233.120.1 to 240.233.127.254 | 240.233.127.255 | 2,046 |
| 49 | 240.233.128.0/21 | 240.233.128.1 to 240.233.135.254 | 240.233.135.255 | 2,046 |
| 50 | 240.233.136.0/21 | 240.233.136.1 to 240.233.143.254 | 240.233.143.255 | 2,046 |
| 51 | 240.233.144.0/21 | 240.233.144.1 to 240.233.151.254 | 240.233.151.255 | 2,046 |
| 52 | 240.233.152.0/21 | 240.233.152.1 to 240.233.159.254 | 240.233.159.255 | 2,046 |
| 53 | 240.233.160.0/21 | 240.233.160.1 to 240.233.167.254 | 240.233.167.255 | 2,046 |
| 54 | 240.233.168.0/21 | 240.233.168.1 to 240.233.175.254 | 240.233.175.255 | 2,046 |
| 55 | 240.233.176.0/21 | 240.233.176.1 to 240.233.183.254 | 240.233.183.255 | 2,046 |
| 56 | 240.233.184.0/21 | 240.233.184.1 to 240.233.191.254 | 240.233.191.255 | 2,046 |
| 57 | 240.233.192.0/21 | 240.233.192.1 to 240.233.199.254 | 240.233.199.255 | 2,046 |
| 58 | 240.233.200.0/21 | 240.233.200.1 to 240.233.207.254 | 240.233.207.255 | 2,046 |
| 59 | 240.233.208.0/21 | 240.233.208.1 to 240.233.215.254 | 240.233.215.255 | 2,046 |
| 60 | 240.233.216.0/21 | 240.233.216.1 to 240.233.223.254 | 240.233.223.255 | 2,046 |
| 61 | 240.233.224.0/21 | 240.233.224.1 to 240.233.231.254 | 240.233.231.255 | 2,046 |
| 62 | 240.233.232.0/21 | 240.233.232.1 to 240.233.239.254 | 240.233.239.255 | 2,046 |
| 63 | 240.233.240.0/21 | 240.233.240.1 to 240.233.247.254 | 240.233.247.255 | 2,046 |
| 64 | 240.233.248.0/21 | 240.233.248.1 to 240.233.255.254 | 240.233.255.255 | 2,046 |
| 65 | 240.234.0.0/21 | 240.234.0.1 to 240.234.7.254 | 240.234.7.255 | 2,046 |
| 66 | 240.234.8.0/21 | 240.234.8.1 to 240.234.15.254 | 240.234.15.255 | 2,046 |
| 67 | 240.234.16.0/21 | 240.234.16.1 to 240.234.23.254 | 240.234.23.255 | 2,046 |
| 68 | 240.234.24.0/21 | 240.234.24.1 to 240.234.31.254 | 240.234.31.255 | 2,046 |
| 69 | 240.234.32.0/21 | 240.234.32.1 to 240.234.39.254 | 240.234.39.255 | 2,046 |
| 70 | 240.234.40.0/21 | 240.234.40.1 to 240.234.47.254 | 240.234.47.255 | 2,046 |
| 71 | 240.234.48.0/21 | 240.234.48.1 to 240.234.55.254 | 240.234.55.255 | 2,046 |
| 72 | 240.234.56.0/21 | 240.234.56.1 to 240.234.63.254 | 240.234.63.255 | 2,046 |
| 73 | 240.234.64.0/21 | 240.234.64.1 to 240.234.71.254 | 240.234.71.255 | 2,046 |
| 74 | 240.234.72.0/21 | 240.234.72.1 to 240.234.79.254 | 240.234.79.255 | 2,046 |
| 75 | 240.234.80.0/21 | 240.234.80.1 to 240.234.87.254 | 240.234.87.255 | 2,046 |
| 76 | 240.234.88.0/21 | 240.234.88.1 to 240.234.95.254 | 240.234.95.255 | 2,046 |
| 77 | 240.234.96.0/21 | 240.234.96.1 to 240.234.103.254 | 240.234.103.255 | 2,046 |
| 78 | 240.234.104.0/21 | 240.234.104.1 to 240.234.111.254 | 240.234.111.255 | 2,046 |
| 79 | 240.234.112.0/21 | 240.234.112.1 to 240.234.119.254 | 240.234.119.255 | 2,046 |
| 80 | 240.234.120.0/21 | 240.234.120.1 to 240.234.127.254 | 240.234.127.255 | 2,046 |
| 81 | 240.234.128.0/21 | 240.234.128.1 to 240.234.135.254 | 240.234.135.255 | 2,046 |
| 82 | 240.234.136.0/21 | 240.234.136.1 to 240.234.143.254 | 240.234.143.255 | 2,046 |
| 83 | 240.234.144.0/21 | 240.234.144.1 to 240.234.151.254 | 240.234.151.255 | 2,046 |
| 84 | 240.234.152.0/21 | 240.234.152.1 to 240.234.159.254 | 240.234.159.255 | 2,046 |
| 85 | 240.234.160.0/21 | 240.234.160.1 to 240.234.167.254 | 240.234.167.255 | 2,046 |
| 86 | 240.234.168.0/21 | 240.234.168.1 to 240.234.175.254 | 240.234.175.255 | 2,046 |
| 87 | 240.234.176.0/21 | 240.234.176.1 to 240.234.183.254 | 240.234.183.255 | 2,046 |
| 88 | 240.234.184.0/21 | 240.234.184.1 to 240.234.191.254 | 240.234.191.255 | 2,046 |
| 89 | 240.234.192.0/21 | 240.234.192.1 to 240.234.199.254 | 240.234.199.255 | 2,046 |
| 90 | 240.234.200.0/21 | 240.234.200.1 to 240.234.207.254 | 240.234.207.255 | 2,046 |
| 91 | 240.234.208.0/21 | 240.234.208.1 to 240.234.215.254 | 240.234.215.255 | 2,046 |
| 92 | 240.234.216.0/21 | 240.234.216.1 to 240.234.223.254 | 240.234.223.255 | 2,046 |
| 93 | 240.234.224.0/21 | 240.234.224.1 to 240.234.231.254 | 240.234.231.255 | 2,046 |
| 94 | 240.234.232.0/21 | 240.234.232.1 to 240.234.239.254 | 240.234.239.255 | 2,046 |
| 95 | 240.234.240.0/21 | 240.234.240.1 to 240.234.247.254 | 240.234.247.255 | 2,046 |
| 96 | 240.234.248.0/21 | 240.234.248.1 to 240.234.255.254 | 240.234.255.255 | 2,046 |
| 97 | 240.235.0.0/21 | 240.235.0.1 to 240.235.7.254 | 240.235.7.255 | 2,046 |
| 98 | 240.235.8.0/21 | 240.235.8.1 to 240.235.15.254 | 240.235.15.255 | 2,046 |
| 99 | 240.235.16.0/21 | 240.235.16.1 to 240.235.23.254 | 240.235.23.255 | 2,046 |
| 100 | 240.235.24.0/21 | 240.235.24.1 to 240.235.31.254 | 240.235.31.255 | 2,046 |
| 101 | 240.235.32.0/21 | 240.235.32.1 to 240.235.39.254 | 240.235.39.255 | 2,046 |
| 102 | 240.235.40.0/21 | 240.235.40.1 to 240.235.47.254 | 240.235.47.255 | 2,046 |
| 103 | 240.235.48.0/21 | 240.235.48.1 to 240.235.55.254 | 240.235.55.255 | 2,046 |
| 104 | 240.235.56.0/21 | 240.235.56.1 to 240.235.63.254 | 240.235.63.255 | 2,046 |
| 105 | 240.235.64.0/21 | 240.235.64.1 to 240.235.71.254 | 240.235.71.255 | 2,046 |
| 106 | 240.235.72.0/21 | 240.235.72.1 to 240.235.79.254 | 240.235.79.255 | 2,046 |
| 107 | 240.235.80.0/21 | 240.235.80.1 to 240.235.87.254 | 240.235.87.255 | 2,046 |
| 108 | 240.235.88.0/21 | 240.235.88.1 to 240.235.95.254 | 240.235.95.255 | 2,046 |
| 109 | 240.235.96.0/21 | 240.235.96.1 to 240.235.103.254 | 240.235.103.255 | 2,046 |
| 110 | 240.235.104.0/21 | 240.235.104.1 to 240.235.111.254 | 240.235.111.255 | 2,046 |
| 111 | 240.235.112.0/21 | 240.235.112.1 to 240.235.119.254 | 240.235.119.255 | 2,046 |
| 112 | 240.235.120.0/21 | 240.235.120.1 to 240.235.127.254 | 240.235.127.255 | 2,046 |
| 113 | 240.235.128.0/21 | 240.235.128.1 to 240.235.135.254 | 240.235.135.255 | 2,046 |
| 114 | 240.235.136.0/21 | 240.235.136.1 to 240.235.143.254 | 240.235.143.255 | 2,046 |
| 115 | 240.235.144.0/21 | 240.235.144.1 to 240.235.151.254 | 240.235.151.255 | 2,046 |
| 116 | 240.235.152.0/21 | 240.235.152.1 to 240.235.159.254 | 240.235.159.255 | 2,046 |
| 117 | 240.235.160.0/21 | 240.235.160.1 to 240.235.167.254 | 240.235.167.255 | 2,046 |
| 118 | 240.235.168.0/21 | 240.235.168.1 to 240.235.175.254 | 240.235.175.255 | 2,046 |
| 119 | 240.235.176.0/21 | 240.235.176.1 to 240.235.183.254 | 240.235.183.255 | 2,046 |
| 120 | 240.235.184.0/21 | 240.235.184.1 to 240.235.191.254 | 240.235.191.255 | 2,046 |
| 121 | 240.235.192.0/21 | 240.235.192.1 to 240.235.199.254 | 240.235.199.255 | 2,046 |
| 122 | 240.235.200.0/21 | 240.235.200.1 to 240.235.207.254 | 240.235.207.255 | 2,046 |
| 123 | 240.235.208.0/21 | 240.235.208.1 to 240.235.215.254 | 240.235.215.255 | 2,046 |
| 124 | 240.235.216.0/21 | 240.235.216.1 to 240.235.223.254 | 240.235.223.255 | 2,046 |
| 125 | 240.235.224.0/21 | 240.235.224.1 to 240.235.231.254 | 240.235.231.255 | 2,046 |
| 126 | 240.235.232.0/21 | 240.235.232.1 to 240.235.239.254 | 240.235.239.255 | 2,046 |
| 127 | 240.235.240.0/21 | 240.235.240.1 to 240.235.247.254 | 240.235.247.255 | 2,046 |
| 128 | 240.235.248.0/21 | 240.235.248.1 to 240.235.255.254 | 240.235.255.255 | 2,046 |
| 129 | 240.236.0.0/21 | 240.236.0.1 to 240.236.7.254 | 240.236.7.255 | 2,046 |
| 130 | 240.236.8.0/21 | 240.236.8.1 to 240.236.15.254 | 240.236.15.255 | 2,046 |
| 131 | 240.236.16.0/21 | 240.236.16.1 to 240.236.23.254 | 240.236.23.255 | 2,046 |
| 132 | 240.236.24.0/21 | 240.236.24.1 to 240.236.31.254 | 240.236.31.255 | 2,046 |
| 133 | 240.236.32.0/21 | 240.236.32.1 to 240.236.39.254 | 240.236.39.255 | 2,046 |
| 134 | 240.236.40.0/21 | 240.236.40.1 to 240.236.47.254 | 240.236.47.255 | 2,046 |
| 135 | 240.236.48.0/21 | 240.236.48.1 to 240.236.55.254 | 240.236.55.255 | 2,046 |
| 136 | 240.236.56.0/21 | 240.236.56.1 to 240.236.63.254 | 240.236.63.255 | 2,046 |
| 137 | 240.236.64.0/21 | 240.236.64.1 to 240.236.71.254 | 240.236.71.255 | 2,046 |
| 138 | 240.236.72.0/21 | 240.236.72.1 to 240.236.79.254 | 240.236.79.255 | 2,046 |
| 139 | 240.236.80.0/21 | 240.236.80.1 to 240.236.87.254 | 240.236.87.255 | 2,046 |
| 140 | 240.236.88.0/21 | 240.236.88.1 to 240.236.95.254 | 240.236.95.255 | 2,046 |
| 141 | 240.236.96.0/21 | 240.236.96.1 to 240.236.103.254 | 240.236.103.255 | 2,046 |
| 142 | 240.236.104.0/21 | 240.236.104.1 to 240.236.111.254 | 240.236.111.255 | 2,046 |
| 143 | 240.236.112.0/21 | 240.236.112.1 to 240.236.119.254 | 240.236.119.255 | 2,046 |
| 144 | 240.236.120.0/21 | 240.236.120.1 to 240.236.127.254 | 240.236.127.255 | 2,046 |
| 145 | 240.236.128.0/21 | 240.236.128.1 to 240.236.135.254 | 240.236.135.255 | 2,046 |
| 146 | 240.236.136.0/21 | 240.236.136.1 to 240.236.143.254 | 240.236.143.255 | 2,046 |
| 147 | 240.236.144.0/21 | 240.236.144.1 to 240.236.151.254 | 240.236.151.255 | 2,046 |
| 148 | 240.236.152.0/21 | 240.236.152.1 to 240.236.159.254 | 240.236.159.255 | 2,046 |
| 149 | 240.236.160.0/21 | 240.236.160.1 to 240.236.167.254 | 240.236.167.255 | 2,046 |
| 150 | 240.236.168.0/21 | 240.236.168.1 to 240.236.175.254 | 240.236.175.255 | 2,046 |
| 151 | 240.236.176.0/21 | 240.236.176.1 to 240.236.183.254 | 240.236.183.255 | 2,046 |
| 152 | 240.236.184.0/21 | 240.236.184.1 to 240.236.191.254 | 240.236.191.255 | 2,046 |
| 153 | 240.236.192.0/21 | 240.236.192.1 to 240.236.199.254 | 240.236.199.255 | 2,046 |
| 154 | 240.236.200.0/21 | 240.236.200.1 to 240.236.207.254 | 240.236.207.255 | 2,046 |
| 155 | 240.236.208.0/21 | 240.236.208.1 to 240.236.215.254 | 240.236.215.255 | 2,046 |
| 156 | 240.236.216.0/21 | 240.236.216.1 to 240.236.223.254 | 240.236.223.255 | 2,046 |
| 157 | 240.236.224.0/21 | 240.236.224.1 to 240.236.231.254 | 240.236.231.255 | 2,046 |
| 158 | 240.236.232.0/21 | 240.236.232.1 to 240.236.239.254 | 240.236.239.255 | 2,046 |
| 159 | 240.236.240.0/21 | 240.236.240.1 to 240.236.247.254 | 240.236.247.255 | 2,046 |
| 160 | 240.236.248.0/21 | 240.236.248.1 to 240.236.255.254 | 240.236.255.255 | 2,046 |
| 161 | 240.237.0.0/21 | 240.237.0.1 to 240.237.7.254 | 240.237.7.255 | 2,046 |
| 162 | 240.237.8.0/21 | 240.237.8.1 to 240.237.15.254 | 240.237.15.255 | 2,046 |
| 163 | 240.237.16.0/21 | 240.237.16.1 to 240.237.23.254 | 240.237.23.255 | 2,046 |
| 164 | 240.237.24.0/21 | 240.237.24.1 to 240.237.31.254 | 240.237.31.255 | 2,046 |
| 165 | 240.237.32.0/21 | 240.237.32.1 to 240.237.39.254 | 240.237.39.255 | 2,046 |
| 166 | 240.237.40.0/21 | 240.237.40.1 to 240.237.47.254 | 240.237.47.255 | 2,046 |
| 167 | 240.237.48.0/21 | 240.237.48.1 to 240.237.55.254 | 240.237.55.255 | 2,046 |
| 168 | 240.237.56.0/21 | 240.237.56.1 to 240.237.63.254 | 240.237.63.255 | 2,046 |
| 169 | 240.237.64.0/21 | 240.237.64.1 to 240.237.71.254 | 240.237.71.255 | 2,046 |
| 170 | 240.237.72.0/21 | 240.237.72.1 to 240.237.79.254 | 240.237.79.255 | 2,046 |
| 171 | 240.237.80.0/21 | 240.237.80.1 to 240.237.87.254 | 240.237.87.255 | 2,046 |
| 172 | 240.237.88.0/21 | 240.237.88.1 to 240.237.95.254 | 240.237.95.255 | 2,046 |
| 173 | 240.237.96.0/21 | 240.237.96.1 to 240.237.103.254 | 240.237.103.255 | 2,046 |
| 174 | 240.237.104.0/21 | 240.237.104.1 to 240.237.111.254 | 240.237.111.255 | 2,046 |
| 175 | 240.237.112.0/21 | 240.237.112.1 to 240.237.119.254 | 240.237.119.255 | 2,046 |
| 176 | 240.237.120.0/21 | 240.237.120.1 to 240.237.127.254 | 240.237.127.255 | 2,046 |
| 177 | 240.237.128.0/21 | 240.237.128.1 to 240.237.135.254 | 240.237.135.255 | 2,046 |
| 178 | 240.237.136.0/21 | 240.237.136.1 to 240.237.143.254 | 240.237.143.255 | 2,046 |
| 179 | 240.237.144.0/21 | 240.237.144.1 to 240.237.151.254 | 240.237.151.255 | 2,046 |
| 180 | 240.237.152.0/21 | 240.237.152.1 to 240.237.159.254 | 240.237.159.255 | 2,046 |
| 181 | 240.237.160.0/21 | 240.237.160.1 to 240.237.167.254 | 240.237.167.255 | 2,046 |
| 182 | 240.237.168.0/21 | 240.237.168.1 to 240.237.175.254 | 240.237.175.255 | 2,046 |
| 183 | 240.237.176.0/21 | 240.237.176.1 to 240.237.183.254 | 240.237.183.255 | 2,046 |
| 184 | 240.237.184.0/21 | 240.237.184.1 to 240.237.191.254 | 240.237.191.255 | 2,046 |
| 185 | 240.237.192.0/21 | 240.237.192.1 to 240.237.199.254 | 240.237.199.255 | 2,046 |
| 186 | 240.237.200.0/21 | 240.237.200.1 to 240.237.207.254 | 240.237.207.255 | 2,046 |
| 187 | 240.237.208.0/21 | 240.237.208.1 to 240.237.215.254 | 240.237.215.255 | 2,046 |
| 188 | 240.237.216.0/21 | 240.237.216.1 to 240.237.223.254 | 240.237.223.255 | 2,046 |
| 189 | 240.237.224.0/21 | 240.237.224.1 to 240.237.231.254 | 240.237.231.255 | 2,046 |
| 190 | 240.237.232.0/21 | 240.237.232.1 to 240.237.239.254 | 240.237.239.255 | 2,046 |
| 191 | 240.237.240.0/21 | 240.237.240.1 to 240.237.247.254 | 240.237.247.255 | 2,046 |
| 192 | 240.237.248.0/21 | 240.237.248.1 to 240.237.255.254 | 240.237.255.255 | 2,046 |
| 193 | 240.238.0.0/21 | 240.238.0.1 to 240.238.7.254 | 240.238.7.255 | 2,046 |
| 194 | 240.238.8.0/21 | 240.238.8.1 to 240.238.15.254 | 240.238.15.255 | 2,046 |
| 195 | 240.238.16.0/21 | 240.238.16.1 to 240.238.23.254 | 240.238.23.255 | 2,046 |
| 196 | 240.238.24.0/21 | 240.238.24.1 to 240.238.31.254 | 240.238.31.255 | 2,046 |
| 197 | 240.238.32.0/21 | 240.238.32.1 to 240.238.39.254 | 240.238.39.255 | 2,046 |
| 198 | 240.238.40.0/21 | 240.238.40.1 to 240.238.47.254 | 240.238.47.255 | 2,046 |
| 199 | 240.238.48.0/21 | 240.238.48.1 to 240.238.55.254 | 240.238.55.255 | 2,046 |
| 200 | 240.238.56.0/21 | 240.238.56.1 to 240.238.63.254 | 240.238.63.255 | 2,046 |
| 201 | 240.238.64.0/21 | 240.238.64.1 to 240.238.71.254 | 240.238.71.255 | 2,046 |
| 202 | 240.238.72.0/21 | 240.238.72.1 to 240.238.79.254 | 240.238.79.255 | 2,046 |
| 203 | 240.238.80.0/21 | 240.238.80.1 to 240.238.87.254 | 240.238.87.255 | 2,046 |
| 204 | 240.238.88.0/21 | 240.238.88.1 to 240.238.95.254 | 240.238.95.255 | 2,046 |
| 205 | 240.238.96.0/21 | 240.238.96.1 to 240.238.103.254 | 240.238.103.255 | 2,046 |
| 206 | 240.238.104.0/21 | 240.238.104.1 to 240.238.111.254 | 240.238.111.255 | 2,046 |
| 207 | 240.238.112.0/21 | 240.238.112.1 to 240.238.119.254 | 240.238.119.255 | 2,046 |
| 208 | 240.238.120.0/21 | 240.238.120.1 to 240.238.127.254 | 240.238.127.255 | 2,046 |
| 209 | 240.238.128.0/21 | 240.238.128.1 to 240.238.135.254 | 240.238.135.255 | 2,046 |
| 210 | 240.238.136.0/21 | 240.238.136.1 to 240.238.143.254 | 240.238.143.255 | 2,046 |
| 211 | 240.238.144.0/21 | 240.238.144.1 to 240.238.151.254 | 240.238.151.255 | 2,046 |
| 212 | 240.238.152.0/21 | 240.238.152.1 to 240.238.159.254 | 240.238.159.255 | 2,046 |
| 213 | 240.238.160.0/21 | 240.238.160.1 to 240.238.167.254 | 240.238.167.255 | 2,046 |
| 214 | 240.238.168.0/21 | 240.238.168.1 to 240.238.175.254 | 240.238.175.255 | 2,046 |
| 215 | 240.238.176.0/21 | 240.238.176.1 to 240.238.183.254 | 240.238.183.255 | 2,046 |
| 216 | 240.238.184.0/21 | 240.238.184.1 to 240.238.191.254 | 240.238.191.255 | 2,046 |
| 217 | 240.238.192.0/21 | 240.238.192.1 to 240.238.199.254 | 240.238.199.255 | 2,046 |
| 218 | 240.238.200.0/21 | 240.238.200.1 to 240.238.207.254 | 240.238.207.255 | 2,046 |
| 219 | 240.238.208.0/21 | 240.238.208.1 to 240.238.215.254 | 240.238.215.255 | 2,046 |
| 220 | 240.238.216.0/21 | 240.238.216.1 to 240.238.223.254 | 240.238.223.255 | 2,046 |
| 221 | 240.238.224.0/21 | 240.238.224.1 to 240.238.231.254 | 240.238.231.255 | 2,046 |
| 222 | 240.238.232.0/21 | 240.238.232.1 to 240.238.239.254 | 240.238.239.255 | 2,046 |
| 223 | 240.238.240.0/21 | 240.238.240.1 to 240.238.247.254 | 240.238.247.255 | 2,046 |
| 224 | 240.238.248.0/21 | 240.238.248.1 to 240.238.255.254 | 240.238.255.255 | 2,046 |
| 225 | 240.239.0.0/21 | 240.239.0.1 to 240.239.7.254 | 240.239.7.255 | 2,046 |
| 226 | 240.239.8.0/21 | 240.239.8.1 to 240.239.15.254 | 240.239.15.255 | 2,046 |
| 227 | 240.239.16.0/21 | 240.239.16.1 to 240.239.23.254 | 240.239.23.255 | 2,046 |
| 228 | 240.239.24.0/21 | 240.239.24.1 to 240.239.31.254 | 240.239.31.255 | 2,046 |
| 229 | 240.239.32.0/21 | 240.239.32.1 to 240.239.39.254 | 240.239.39.255 | 2,046 |
| 230 | 240.239.40.0/21 | 240.239.40.1 to 240.239.47.254 | 240.239.47.255 | 2,046 |
| 231 | 240.239.48.0/21 | 240.239.48.1 to 240.239.55.254 | 240.239.55.255 | 2,046 |
| 232 | 240.239.56.0/21 | 240.239.56.1 to 240.239.63.254 | 240.239.63.255 | 2,046 |
| 233 | 240.239.64.0/21 | 240.239.64.1 to 240.239.71.254 | 240.239.71.255 | 2,046 |
| 234 | 240.239.72.0/21 | 240.239.72.1 to 240.239.79.254 | 240.239.79.255 | 2,046 |
| 235 | 240.239.80.0/21 | 240.239.80.1 to 240.239.87.254 | 240.239.87.255 | 2,046 |
| 236 | 240.239.88.0/21 | 240.239.88.1 to 240.239.95.254 | 240.239.95.255 | 2,046 |
| 237 | 240.239.96.0/21 | 240.239.96.1 to 240.239.103.254 | 240.239.103.255 | 2,046 |
| 238 | 240.239.104.0/21 | 240.239.104.1 to 240.239.111.254 | 240.239.111.255 | 2,046 |
| 239 | 240.239.112.0/21 | 240.239.112.1 to 240.239.119.254 | 240.239.119.255 | 2,046 |
| 240 | 240.239.120.0/21 | 240.239.120.1 to 240.239.127.254 | 240.239.127.255 | 2,046 |
| 241 | 240.239.128.0/21 | 240.239.128.1 to 240.239.135.254 | 240.239.135.255 | 2,046 |
| 242 | 240.239.136.0/21 | 240.239.136.1 to 240.239.143.254 | 240.239.143.255 | 2,046 |
| 243 | 240.239.144.0/21 | 240.239.144.1 to 240.239.151.254 | 240.239.151.255 | 2,046 |
| 244 | 240.239.152.0/21 | 240.239.152.1 to 240.239.159.254 | 240.239.159.255 | 2,046 |
| 245 | 240.239.160.0/21 | 240.239.160.1 to 240.239.167.254 | 240.239.167.255 | 2,046 |
| 246 | 240.239.168.0/21 | 240.239.168.1 to 240.239.175.254 | 240.239.175.255 | 2,046 |
| 247 | 240.239.176.0/21 | 240.239.176.1 to 240.239.183.254 | 240.239.183.255 | 2,046 |
| 248 | 240.239.184.0/21 | 240.239.184.1 to 240.239.191.254 | 240.239.191.255 | 2,046 |
| 249 | 240.239.192.0/21 | 240.239.192.1 to 240.239.199.254 | 240.239.199.255 | 2,046 |
| 250 | 240.239.200.0/21 | 240.239.200.1 to 240.239.207.254 | 240.239.207.255 | 2,046 |
| 251 | 240.239.208.0/21 | 240.239.208.1 to 240.239.215.254 | 240.239.215.255 | 2,046 |
| 252 | 240.239.216.0/21 | 240.239.216.1 to 240.239.223.254 | 240.239.223.255 | 2,046 |
| 253 | 240.239.224.0/21 | 240.239.224.1 to 240.239.231.254 | 240.239.231.255 | 2,046 |
| 254 | 240.239.232.0/21 | 240.239.232.1 to 240.239.239.254 | 240.239.239.255 | 2,046 |
| 255 | 240.239.240.0/21 | 240.239.240.1 to 240.239.247.254 | 240.239.247.255 | 2,046 |
| 256 | 240.239.248.0/21 | 240.239.248.1 to 240.239.255.254 | 240.239.255.255 | 2,046 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |